## org.apache.lucene.store
Class LockStressTest

    java.lang.Object
      org.apache.lucene.store.LockStressTest

    public class LockStressTest

extends java.lang.Object

Simple standalone tool that forever acquires & releases a lock using a specific LockFactory. Run without any args to see usage.

See Also:
  `VerifyingLockFactory`, `LockVerifyServer`

Constructor Summary
`LockStressTest()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockStressTest

    public LockStressTest()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.